%define major 0
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	A client for memcached 
Name:		apr_memcache
Version:	0.7.0
Release:	%mkrel 11
License:	Apache License
Group:          System/Libraries
URL:		http://www.outoforder.cc/projects/libs/apr_memcache/
Source0:	http://www.outoforder.cc/downloads/apr_memcache/%{name}-%{version}.tar.bz2
Patch0:		apr_memcache-from_apr-util_HEAD.diff
BuildRequires:	autoconf2.5
BuildRequires:	automake1.9
BuildRequires:	libtool
BuildRequires:	apr-devel >= 1.2.2
BuildRequires:	apr-util-devel >= 1.2.2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
apr_memcache is a client for memcached written in C, using APR and APR-Util. It
provides pooled client connections and is thread safe, making it perfect for
use inside Apache Modules. 

%package -n	%{libname}
Summary:	A client for memcached 
Group: 		System/Libraries

%description -n	%{libname}
apr_memcache is a client for memcached written in C, using APR and APR-Util. It
provides pooled client connections and is thread safe, making it perfect for
use inside Apache Modules. 

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	%{libname}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%{libname}-devel

%description -n	%{develname}
apr_memcache is a client for memcached written in C, using APR and APR-Util. It
provides pooled client connections and is thread safe, making it perfect for
use inside Apache Modules.

This package contains development files for %{name}.

%prep

%setup -q
%patch0 -p1

%build
%serverbuild

#export WANT_AUTOCONF_2_5=1
#rm -f configure
#libtoolize --force --copy && aclocal-1.7 -I m4 && autoheader && automake-1.7 --add-missing --copy --foreign && autoconf

sh ./autogen.sh

#%%configure2_5x \
#    --enable-shared \
#    --enable-static \	      
#    --with-apr=%{_bindir}/apr-config \
#    --with-apr-util=%{_bindir}/apu-config

./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-shared \
    --enable-static \
    --with-apr=%{_bindir}/apr-1-config \
    --with-apr-util=%{_bindir}/apu-1-config
			      
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%doc LICENSE NOTICE test
%{_libdir}/lib*.so.*

%files -n %{develname}
%defattr(-,root,root,-)
%dir %{_includedir}/apr_memcache-%{major}
%{_includedir}/apr_memcache-%{major}/*
%{_libdir}/lib*.*a
%{_libdir}/lib*.so


%changelog
* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-11mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-11mdv2008.0
+ Revision: 52244
- added P0 from apr-util HEAD, apr_memcache will be bundled in apr-util-1.3.0
- conform to the latest devel naming specs

* Sat Jun 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-10mdv2008.0
+ Revision: 43405
- use the new %%serverbuild macro

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-9mdv2008.0
+ Revision: 36658
- use distro conditional -fstack-protector


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-8mdv2007.0
+ Revision: 74187
- rebuild
- rebuild
- fix deps
- Import apr_memcache

* Thu Aug 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-6mdv2007.0
- rebuild
- misc spec file fixes

* Tue May 02 2006 Stefan van der Eijk <stefan@eijk.nu> 0.7.0-5mdk
- rebuild for sparc

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-4mdk
- rebuilt against latest apr

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-3mdk
- rebuilt against new openldap-2.3.6 libs

* Sat Jun 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-2mdk
- rebuilt against new librpm

* Tue May 17 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdk
- 0.7.0
- drop the soname patch, it's implemented upstream

* Sat Mar 19 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.1-2mdk
- use the %%mkrel macro

* Sat Mar 19 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.1-1mdk
- initial package

